Re: NA Glib-0.24 i686-linux 2.4.18-14

On Tuesday, June 24, 2003, at 03:34  AM, slaven rezic de wrote:

This distribution has been tested as part of the cpan-testers
effort to test as many new uploads to CPAN as possible.  See

Please cc any replies to to keep other
test volunteers informed and to prevent any duplicate effort.

Can't build Glib:

$ make
/usr/local/bin/perl /usr/local/lib/perl5/5.8.0/ExtUtils/xsubpp -typemap /usr/lo cal/lib/perl5/5.8.0/ExtUtils/typemap -typemap /usr/local/dist/cpan/build/Glib-0. 24/typemap -typemap typemap GValue.xs > GValue.xsc && mv GValue.xsc GValue.c
Didn't find a 'MODULE ... PACKAGE ... PREFIX' line
make: *** [GValue.c] Error 25

This is probably due to the installed ExtUtils::ParseXS, which installs
the standard ExtUtils/xsubpp.

Hi Slaven,

Thanks for the report. It looks like GValue.xs just doesn't have a 'MODULE ... PACKAGE ... PREFIX' line - I believe that's required under the stock xsubpp that ships with 5.8.0 also.

I don't have the prereq libs for Glib, so I can't test this very well myself, unfortunately.


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]